## openttd 1.2.1

=== debian/changelog ===
openttd (1.2.1-3) wheezy; urgency=high

  * [81d0ce5] Fix CVE-2013-6411 (Denial of service using forcefully
    crashed aircrafts). See http://security.openttd.org/en/CVE-2013-6411
    for details.
  * [b9207a4] Exclude debian/gpb.conf from the source package

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 29 Nov 2013 11:06:33 +0100

openttd (1.2.1-2) unstable; urgency=high

  * [e7a5026] Fix CVE-2012-3436 (Denial of service using ships on half
    tiles and landscaping). See
    http://security.openttd.org/en/CVE-2012-3436 for details.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 01 Aug 2012 23:20:31 +0200

openttd (1.2.1-1) unstable; urgency=low

  * [306c3ac] New upstream release 1.2.1.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 01 Jun 2012 21:23:48 +0200

openttd (1.2.0-1) unstable; urgency=low

  * [72924af] New upstream release 1.2.0. (Closes: #667666)
  * [100a482] Remove fix-make-dry-run.patch and clean-openttd.32.bmp.patch
    which got incorporated upstream.
  * [2385e4d] Build-Depend on grfcodec >= 5.1.4.
  * [dac35dc] Recommend openttd-opengfx >= 0.4.3.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 18 Apr 2012 13:50:28 +0200

=== debian/control ===
Source: openttd
Section: games
Priority: optional
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev,
 libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
 grfcodec (>= 5.1.4), dpkg-dev (>=1.16.1), openttd-opengfx
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
Vcs-Git: git://git.debian.org/collab-maint/openttd.git
Homepage: http://www.openttd.org/

Package: openttd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
Recommends: openttd-opengfx (>= 0.4.3), openttd-openmsx, timidity, x11-utils
Suggests: openttd-opensfx
Description: reimplementation of Transport Tycoon Deluxe with enhancements
 OpenTTD is a reimplementation of the Microprose game "Transport
 Tycoon Deluxe" with lots of new features and enhancements.
 .
 OpenTTD is playable with the free graphics files from the openttd-opengfx
 package and optional sound files from the openttd-opensfx package (which is in
 non-free). Alternatively, OpenTTD can use the graphics files from the original
 Transport Tycoon Deluxe game (See README.Debian on how to set this up).

Package: openttd-dbg
Architecture: any
Section: debug
Priority: extra
Depends: openttd (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for openttd
 OpenTTD is a reimplementation of the Microprose game "Transport
 Tycoon Deluxe" with lots of new features and enhancements.
 .
 This package contains the debugging symbols for openttd.

Package: openttd-data
Architecture: all
Depends: ${misc:Depends}
Replaces: openttd (<< 1.1.5-1)
Breaks: openttd (<< 1.1.5-1)
Description: common data files for the OpenTTD game
 This package contains data files like language files, scripts and some
 auxillary graphics.  It does not include any full graphics or sound sets,
 which still need to be installed separately to play OpenTTD.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Makefile to build the openttd debian package.

# Use debhelper default for all targets (but some are overridden below).
%:
	dh --parallel $@

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# This prevents linking uselessly to libicudata and silences a warning
# in the build process.
DEB_LDFLAGS_MAINT_APPEND="-Wl,-as-needed"

# Enable all hardening options (since openttd offers a network-listening
# service that handles untrusted data).
DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Load buildflags (this uses dpkg-buildflags). Note that we don't export
# them, but instead pass them to ./configure explicitly.
include /usr/share/dpkg/buildflags.mk

# Pass custom options to configure. Since it's not autoconf but a custom
# script, some of the option names are slightly different. We also need
# to be explicit about the dependencies, in case we're not running in a
# clean build root.
override_dh_auto_configure:
	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

# Do some extra installation
override_dh_auto_install:
	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1

	# Install the wrapper and make it executable
	install -d debian/openttd/usr/share/games/openttd/
	install -m755 debian/openttd-wrapper debian/openttd/usr/share/games/openttd/

GRF=bin/baseset/openttd.grf
GRF_BACKUP=debian/openttd.grf

override_dh_auto_build:
	# Remove the prebuilt grf file, to force a rebuild from source
	# (but do keep a backup, so the clean rule can restore it as
	# required by the policy).
	[ -f "$(GRF_BACKUP)" ] || mv "$(GRF)" "$(GRF_BACKUP)"

	# Make nforenum store its temporary files in the current
	# directory instead of in $(HOME). Use dh_auto_build so it
	# handles parallel building automatically.
	dh_auto_build -- NFORENUM="nforenum -D$(CURDIR)" VERBOSE=1

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.nforenum

	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"

# Strip debugging symbols, but retain them in a separate package.
override_dh_strip:
	dh_strip --dbg-package=openttd-dbg

=== debian/watch ===
version=3

options=downloadurlmangle=s/\/([\d\.]*)\/index.html$/\/$1\/openttd-$1-source.tar.gz/ \
http://master.binaries.openttd.org/releases/ \
(\d+(?:\.\d+)*)/index.html

## openttd 1.2.1-maemo1

=== debian/changelog ===
openttd (1.2.1-maemo1) unstable; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue, 12 Jun 2012 04:06:47 -0400

=== debian/control ===
Source: openttd
Section: user/games
Priority: extra
Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
Build-Depends: debhelper (>= 5), autotools-dev, quilt, sharutils, maemo-version,
 libsdl1.2-dev, libx11-dev, libfontconfig1-dev, x11proto-core-dev, zlib1g-dev, 
 zlib1g, libfreetype6-dev, libpng12-dev, liblzo2-dev, m4, pkg-config, liblzma-dev
XS-Maemo-Optify: none
Standards-Version: 3.7.2

Package: openttd
Architecture: any
Depends: ${shlibs:Depends}, openttd-opengfx (>= 0.4.3),
 openttd-opensfx (>= 0.2.3), liblzma1
Pre-Depends: openttd-data (= ${source:Version}) 
Description: Clone of Transport Tycoon Deluxe
 OpenTTD is an open source clone of the Microprose game Transport Tycoon Deluxe
 (TTD).
 .
 As president of a start-up transportation company in 1950, you have a 
 choice of building rail, road, air and maritime transportation routes to build
 up your transportation empire. Outsmart your competition by beating them to
 attractive passenger and commodities routes to become the game's
 highest-ranking transport company by the year 2050.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=874&atid=3286
XB-Maemo-Display-Name: OpenTTD
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhk
 iAAAAAlwSFlzAAALEgAACxIB0t1+/AAAACV0RVh0U29mdHdhcmUATWFjcm9tZWRp
 YSBGaXJld29ya3MgTVggMjAwNId2rM8AAAAWdEVYdENyZWF0aW9uIFRpbWUAMTIv
 MTkvMDQC7VT0AAAR6klEQVR4nL2aeXRV1fXHP+cOb8wcCGQEQkYCOCLOY6kT1rZq
 FYoCFpAqqGhVnCoOxaFSf3Vobe1SW4sDVLQoP7FVUZF5kBASSAhJIAMhZH7znc7v
 j5cE8GdbUOxd66311rp37f35nn323uece5FS8l38lrz1VvZVV13dMm7cuKe+Kx9S
 ShS+g2vThjWJ7/x9+cu76/dmhqLGrOKioknfhR/g+AtoqK32L3r2xRU1Nbu/f+/l
 mZxekJJsKd6/FhUVTj7evuA4Cwj1tHvvX7Bw+a5dNefMvzyT687P5olrR3DSiETF
 Ubx/LioqvPp4+gMQUsrjZUufcsP05RU7qi6Zf9kQJp2bSSBo4XOrtAcMbnp5Nzsa
 AzHFCv+kZnft8uPl9HhFQLth2o1LKyp3XnLnxRlMOieTYMgCIBS1GZzk4oWphRRn
 JbgdzfdmYcHIS4+T3+MjYOr0n71RXlF15dwLB3HD+VkEw3F4IQSKAsGoTVaqi99N
 K6RwaIJX6v4lBSPzLzoevr+1gOk/m7F4W0XV1T8/P40Z38smGLYQCFyagiokLlXg
 1hQCEYth6W6en1bAiAxfgnAlvF2QP+Lcb+v/W+XAjJmzXtn05Y5pM85KZu6leYQi
 FghBMGLy+qe1hCIGST6ds8qyKBuWimE5JHk1avaHmf3Kbhrbw512tHdiXX3Dum/K
 8I0jMHPW7Bc3b6ucdsP4xD54G0eCS1No2N/BmgNJDD7/FlzjZ7O2NQEBCCS9YYui
 TC/PTy0gM82bpnmS3h0xfNip/1UBs39+87Obtu246bpT/Nx5xXDCURtHSoQARQg0
 ISkpGM511/yYaVOuI3fYcCzbASlRFAhEbEbl+HlhagGDUzwZujdp+bC8nBP+KwJ+
 fvMtizZsrZj74xM8zL8yDm87Ereu4tFVorEYDS2dBIIhLNPAME0UaePSFFyaikdX
 8LlUQhGbMbl+nru+gPRkb6bbn7Y8Lze7+Fh5tGN5+JY5cxZu2LL9jomjXDz4o3zC
 MQcAr0tjZ8MBPtjcyN4ehdaAwxkTClEUgaYq7D/Yxa5oIwZu3l67l0Sfi+svLEII
 LyfnJ/LbKSOZ8+favB6RtiInO/Pipub9e46W6aiTeO6ttz60dmP5gglFKguvLSBm
 OgghiJoWf3ivnM1tXkpPu4hTTzud4XnZpKen4vd5cbs97Kmr44Mlr7Jl7SrGXjQJ
 j89PSfhzLj0hlWDYJNGnsnpnN7cvricYMXaFug5c0rT/wN7jJuC2226fv2bjtsfP
 y4enJhdhWg62AwjJk29uptopZPacWzlhzCjcLh1VVXEcB8uykFLicrmJmTZ1dXvI
 GjoE4fLy+csP8MOCMLFYvGck+BRW7ejhjqXNhKNGZU97y8Wtbe3N/4ntP+bAvHnz
 7li7ufzxM4dJnriuENNyMGyJx6Xy0aZ6qiLZ3DX/PsadPBa3S0N3uenqDRKJRBBC
 IIRAVVV0VVBSVIDf7yM5KRGZkEVPdxDFNhCWQagnzAXFbp68cjAet6sseXDWexnp
 qUO/lYA777xzzppN5YvGZdk8PbkIR0oMW6IqgmA4xoeV3Uy8ZgrFRflxY6rO+tUf
 8+6z9/Dhu2+gudwoimDb1s1EDAtFUZBSoimChKEFtHaFcUkLYcVFhHsifL/YxROX
 paDrrpNSh+b8PS05YdA3EnD3XXfN+mLjtufGDjb5zZQiJBCzJALQFEFdczumN4sz
 xp+Kqihououa6mqMyve4JDfInpoawuEoqsvDmmV/5K1n5tPZG0HXdSwzxtARxbQG
 FbQBASbCMogGIlxaorJwgg9Nc5+WkZP/rt+rpxyTgHvuuXvq6o3b/lCSGuO3NxSh
 CjAMC+HYCNtEdUzCwRDJaYNITU2N744cB7fPT+eBZnr31xMKR7EdG8NyKM3P4SLX
 l7z+zP1ELbAti8zsPHqUdKQRRVixuAjbAMsgFojyg1LBoxfoKJrrrNwRpcu8ukg8
 KgH333ff5C82lr+anxDi+etH4hYW0UgUYRsoVtyBNGL4VQdNkSAUQGKaBvnDh5F+
 9gxe2RRBEaBrKiCIRmOUFAymrPdT3lu2BL8/maTUdLo9efQEDRQzhrAPRQHLwAhE
 +XGpw4KzBejuC4YVjX5bCOH7Ku8RfeCB+++76rP1W1/Ldffwwk9H4FMsImEbRTqA
 BCkR0sGyoCDDh6+mkbaOTvJzh4DtEI2EOPvC7zMoZySxUDc4Nqqi0Hawneq2Wi4q
 8PHHDW+yRFdROveQ7zTgVR2wTIQEcEACMt61raDkJ6USw4BHN3omFI8a/ZYQ4hop
 ZbSfeaCM/vKXD078dO2WdzJEu/bHKXmkehXCMTsOTdxg/Bf/73Mp/HPrXmoLZjDr
 5jmEA930V2RN05FILNPE5XJRWVHOP5YtRmncSL7axskjh1CQnQJmBCPSx9JnV0jn
 MD8OCg6qbvFqhZuFWxNQ7ciyXVU7JkkpjQEB99xzz0Vfbq9ckWS1uX9/bSaD/HF4
 IQ+Nen8E+o0LJDoWf1rfTe7kRVzyvYuIhHqwbfvIGEuJ7vZg2lBbv5ctX3xE1xev
 cVVGEyPzMjCNfmA7PlCO0xcJBxy7T4SNolu8tCOZ53amYhuRt1r377+xo6MjLKSU
 XDbxivUH9jePX3pDBvlDdEJBC6Uf+LCp81UBblWAHWFZlYVx6kzOvOwasjPSMWNh
 jFjsCB1CCFRNQ9Pd1DS0sPy5+7la+YiizEQswwbisKJv5JH2QBSQDioWuAzmrR3J
 By2J9B5sntjS0rJCSCkZP/70qWHDevW84Tq/vtSPWyW+VJCHRv3waSSkRBGSzp4Q
 u1t7CUYM0hI91KhFuMoup/iMCRQMz8G2jIFpdfjldrvpCDsse2gyNyauxuNyIZ2v
 wh8pSOg27+8bxCNVw+nsCWxoadp3TTgcbhzIgbFjx84L2/pvLi7U+J+L3ahCYpqH
 T524IIFEV2BZeRdLa3VS8krR03K53P6Ii4sl9S1R1rcIXN+7i8uunYoZjeDyeFE1
 nWgoQL8/f0ISX6xbj3z5Ss7PjeAYEnAQ0j4UaeLPChes3JfGLyoKZTjYu6F+984p
 Uso9R5TR7du3P6M74Ts/qLEid6+MghXDJQ2EaRzWaEywDLBj7G/vZcwVs3hg0e95
 7Kmnac6cQGdTGyPSbM5NbmHnlnWEIzF0l5tlLz3NiqV/ReheFCXuMhwKUDrmJA6k
 ngzRCMKKl+r+eX84/EdNqfxiayHhrmCkYffOu/vhjxAAcO2Vk9/JSUkMLquymP+R
 DbaBLo2+RhMFK4IwI2CGKUuJkqhESU9Nwac6jLvqZlbuTwKji65glHDMxLYdLDT8
 HVWkLpvO3559EEfRQQiklCT6vbiGnYIptX7eI/PGBZ+3pDBvQyFabpgh46S3MKfs
 PiFEwv8T8NyTL+ZtL69YmXpFaPCYafDmdoUHPgPhhNDsEMIMo5hhhBkCI8RQd4Su
 vTsJR2JEI2FKiwtwXf4IH5cHSJYgRF8RAjRd57wCaFv5DBU7d6Nr8fbjOA7SMlAU
 9Wvh17YmMXd9ETIjQslsm5MW+EXOhd5LijNHLxFCeKCvkb364uKhq1at+tAa31A0
 fIrAjqrYYYfXXnfjwuShcQfRbIntSIRjg3DI8FiYB/fQGwgyOMVPJNjN5VdPYnmw
 nc+fm4dzSghFie+EVTNIdR1UBpM43YgiAVVV6eruQe+oQdUdpH0k/Ma2RG5ZW4yZ
 GmH0HJu0Aj+aR1B6rwDhuVT5ouzl7KG589RQV2zkhs1rl9jjG04cPh2cqEBIQcpY
 iWY6/OMTLzHH4ewhB1EsA2kbCMfEIySb9lsMPv1qhqSn4DgO2Aalp5xF75BRZGTl
 UFBcisets+ofH/BOncrYq2/nnDPHo+savoQUNnz+Twr2vkW63X4IXocvOxKYvaaU
 SGKM0bfZDB7tRwiBtEBPBn+uQtsqOSbQHWrUujo7sw4cbC3NyXdQ3Sp2CBCgqCr5
 020c0+J37wxClwZ3jm5E6SsOwgVJRhutzU2MLR6B7tbQdBexcJCJP/ghpmliGjHM
 WJgrbn2CC6IGqQlevB43/sRkKqt3E9vwF4o8B5ABCUocvqLTz+w1JYT8BmVzTQaP
 9SMQIEH1QbQFdi2y6dzf8/yBrpbX1a3lm/f9+rFndgS2add4sxU1sQicWBxSURVS
 TpQoAZv/XZ2CqsL4IYH4xFZgX5ukPfscxo8/g9Url7Hx84/JG30aCT4vtmUMjKrH
 4yYtOZHExCRUTwIb129g77uPc6n4FC3YNQC/q8vHzLWldLksRs01GHKyHyGUAXiz
 CyoXODSs7ljc1FE/TzqyWwPYWV/xflFW2Q27nvIuFpqipJ8hsHrjvUTVVEbeZOPY
 Jos+yMWlSGaXtoAD+UmwsWo7X9a30lW+kqLGJbyzdRnZE2Yz7uwL8fl8SOkghEpb
 Ry/NjQ3s3fQhGU0r+VFCHUqgHdkHX9vjZebaEtpVm7JbDIacchi8F6wAVD7s0PBF
 51vNPfVzpJRB+MqeuDh7zNTETM8rox5URNqpYPb2zUsVLMOm+llJ/Uc695+yj5kl
 +3Gi8FnXIMxBZYxNDjA0Uo4Tsfl4F9SdfS/Xz3sI4Vi8/5fnce/9jCFGAyX6fpLV
 AETtAfj6Xg83rhlFk+NQdkuUzDMTUPrgFQ84YdixwKH+4853GrvrZkgpO/uZj1hO
 VzdX/Lk4a4y+c6HnpVEPKqScyEAkNLdK0Rwb6Zj86pM8NEUyvaiVC7I6QKyFXhNp
 g6JDUTqsadpLKBzB5XLj6arhCvdqkEGwQFoMTJumoJtZ60pptCRlN0fJPMMfh6cP
 PgpVj0kaPul+v7G7btbh8Ef0gQERLRV/6m2Kzan6lU3vDtCS4vkgLdC9KsVzBcPO
 M3lk8zAW12bEW34kDk9f7e81wbRBVQS6ywW2AYEg0gQZr6wIDfaHXMxcW0pdTDDq
 pgiZZ/sHeoLiAmnCzl9J6v7Z9eG+rtoZUsr2r/J+7Zayunn7C717Y3dUPmoT2CXR
 Eg8T4VMpuRVyzrR4cONwltQNBvehxgXgUqE7YtPUEaKxPUDUVkATAwKFBgcjOrPW
 lVAdViidGSbrXD9qP7wej/quhZK6ld2r9nXWTpdSHvg61n97LlScNeaelAL3E6Mf
 UUkYGU+k/tEzei2qnha0blR5+sw6fji8HYz4CJsmfNaVjhg6BuFJIle0UhjZApaN
 0KEjqvGzdaMo79YZNTNE7gQ/qnoIHmDXE5Lav/esbmiv+amUsvFfMf7Hg63SnBMe
 TinSfzn6URVfLljBw0T0WFQ8JejYqvKbs/YwMa8DafRFQ++jEQqYJtJ0EDp0xzRm
 ri9hc4ebkhtD5F3iQ+tbWihavGDsekpSu6x3Q/3B6uuklA3/ju+oTuZKssc+nj7K
 Pb/sUQVPJgPNTugQ67CoeFLQVaHw7Nl7uDinE9nfAg4zLTQImCo3bShh3UEvxVOD
 DLv8ELzQ4gJqFsHupT1b6tqqrz181fmvrqM6nd7VvP3ezp3GM5ULbGJt8aaCjCeZ
 O12j7BeSlNGSOzaN5JPmFISrn5qBaIVMhVs2F7Ou3UfJtMCR8Go8aWt+K6lZ2lNe
 11b906OBP2oBADubyu/o3GG9ULnAweg4TIQBCTkapXMcVI/k9q2FrG5JHhAhVIja
 Crd9WcznbT5LDXcGNNuLN1VHiPh91Q17nofdb/RW1bdVT5ZSVh8t1zG9H9jZtG1O
 Z7n5UuXDDmZ3vEMKV7xWN72hEDrQ9WnMtnbcVl7IutYkhAdituD2L4v4pDWBWGfj
 /I6D3RMbX1PaGv/moKfEbex5EWoWB2sa2vZMklJWHQvTMb8jE0KI0pwTXxk0Tps6
 5jEFzQ9Vj0hql/esbmiv+Ule9tAEf3rOiiSXLHr6xFreaxnM0n2pGF0tDzc3Nz8q
 pbRHDC08IzEl4f2SeXqa2S6o/H2wvr659hpTxrYcE8w3EdAnQi3NOeG1zPNdk/Qk
 2P127/q6A9WT+itGcUF+oSsh7UNNVUeYtk1Px4GFTU1NC6SUZr+NYUPzz0sdnLLC
 iBndtXtqrzLs6IZjBgG+8VciqOil+WP+lJ9dtALI/+r9YXl5paNGj1mRk5v7IOD6
 OhsZ6UNPcGue0d+G41u9ZhVCCCARCMivMSSEcAEOYB3HTxqOuP4PaQ/AJV0sRZQA
 AAAASUVORK5CYII=


Package: openttd-data
Architecture: all
Section: games
Pre-Depends: hildon-application-manager
Recommends: openttd
Description: Clone of Transport Tycoon Deluxe (data files)
 OpenTTD is an open source clone of the Microprose game Transport Tycoon Deluxe
 (TTD).
 .
 As president of a start-up transportation company in 1950, you have a 
 choice of building rail, road, air and maritime transportation routes to build
 up your transportation empire. Outsmart your competition by beating them to
 attractive passenger and commodities routes to become the game's
 highest-ranking transport company by the year 2050.
 .
 This package contains the free game data files.

Package: openttd-dbg
Architecture: any
Section: devel
Depends: openttd (= ${source:Version})
Pre-Depends: openttd-data (= ${source:Version})
Description: Debug symbols for OpenTTD

## openttd 1.2.3

=== debian/changelog ===
openttd (1.2.3-1) experimental; urgency=low

  * [7f86702] New upstream release 1.2.3. (Closes: #689372)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 01 Nov 2012 21:58:27 +0100

openttd (1.2.2-1) experimental; urgency=low

  * [6aae009] New upstream release 1.2.2. (Closes: #686497)
  * [10ecdc0] Use dpkg-buildflags for utilities running on the build
    machine as well.
  * [f7ed1ab] Bump Standards-Version to 3.9.4, no changes required.
  * [d49940e] Remove patch for CVE-2012-3436, which is included upstream.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 19 Sep 2012 11:27:07 +0200

=== debian/control ===
Source: openttd
Section: games
Priority: optional
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev,
 libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
 grfcodec (>= 5.1.4), dpkg-dev (>=1.16.1), openttd-opengfx
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
Vcs-Git: git://git.debian.org/collab-maint/openttd.git
Homepage: http://www.openttd.org/

Package: openttd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
Recommends: openttd-opengfx (>= 0.4.3), openttd-openmsx, timidity, x11-utils
Suggests: openttd-opensfx
Description: reimplementation of Transport Tycoon Deluxe with enhancements
 OpenTTD is a reimplementation of the Microprose game "Transport
 Tycoon Deluxe" with lots of new features and enhancements.
 .
 OpenTTD is playable with the free graphics files from the openttd-opengfx
 package and optional sound files from the openttd-opensfx package (which is in
 non-free). Alternatively, OpenTTD can use the graphics files from the original
 Transport Tycoon Deluxe game (See README.Debian on how to set this up).

Package: openttd-dbg
Architecture: any
Section: debug
Priority: extra
Depends: openttd (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for openttd
 OpenTTD is a reimplementation of the Microprose game "Transport
 Tycoon Deluxe" with lots of new features and enhancements.
 .
 This package contains the debugging symbols for openttd.

Package: openttd-data
Architecture: all
Depends: ${misc:Depends}
Replaces: openttd (<< 1.1.5-1)
Breaks: openttd (<< 1.1.5-1)
Description: common data files for the OpenTTD game
 This package contains data files like language files, scripts and some
 auxillary graphics.  It does not include any full graphics or sound sets,
 which still need to be installed separately to play OpenTTD.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # to be explicit about the dependencies, in case we're not running in a
 # clean build root.
 override_dh_auto_configure:
-	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CFLAGS_BUILD="$(CFLAGS) $(CPPFLAGS)" LDFLAGS_BUILD="$(LDFLAGS)"
 
 # Do some extra installation
 override_dh_auto_install:

## openttd 1.3.1

=== debian/changelog ===
openttd (1.3.1-1) unstable; urgency=low

  * [1ba99d9] New upstream release 1.3.1.
  * [fbf5bdc] Recommend a newer version of openttd-opengfx (>= 0.4.6).
  * [a688f77] Remove nforenum clean up code from debian/rules.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 04 Jun 2013 09:09:02 +0200

openttd (1.3.0-1) unstable; urgency=low

  * [3e9e10e] New upstream release 1.3.0.
  * Upload to unstable again.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 12 Apr 2013 09:14:06 +0200

openttd (1.3.0~rc3-1) experimental; urgency=low

  * [cce726c] New upstream release 1.3.0~rc3.
    - Upstream fixed compilation with gcc 4.8 (Closes: #701333)
  * [02f2eb5] Pass CXXFLAGS to configure.
  * [595ef81] Remove openttd-wrapper, OpenTTD has a bootstrap mode now.
  * [ebc7ebc] Depend on grfcodec >= 6.0.2.
  * [5b41f63] Update watch file, upstream changed download urls.
  * [0d573e4] Add lintian override since openttd manpage is in openttd-
    data.


 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 18 Mar 2013 13:05:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
- grfcodec (>= 5.1.4), dpkg-dev (>=1.16.1), openttd-opengfx
+ grfcodec (>= 6.0.2), dpkg-dev (>=1.16.1), openttd-opengfx
 Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
 Vcs-Git: git://git.debian.org/collab-maint/openttd.git
@@ -15,7 +14,7 @@
 Package: openttd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
-Recommends: openttd-opengfx (>= 0.4.3), openttd-openmsx, timidity, x11-utils
+Recommends: openttd-opengfx (>= 0.4.6), openttd-openmsx, timidity
 Suggests: openttd-opensfx
 Description: reimplementation of Transport Tycoon Deluxe with enhancements
  OpenTTD is a reimplementation of the Microprose game "Transport

## openttd 1.3.3

=== src/3rdparty/squirrel/Makefile ===

SQUIRREL=.
MAKE=make

sq32:
	cd squirrel; $(MAKE)
	cd sqstdlib; $(MAKE)
	cd sq; $(MAKE)

sqprof:
	cd squirrel; $(MAKE) sqprof
	cd sqstdlib; $(MAKE) sqprof
	cd sq; $(MAKE) sqprof

sq64:
	cd squirrel; $(MAKE) sq64
	cd sqstdlib; $(MAKE) sq64
	cd sq; $(MAKE) sq64

clean:
	$(MAKE) -C squirrel clean
	$(MAKE) -C sqstdlib clean
	$(MAKE) -C sq clean

=== src/3rdparty/squirrel/sq/Makefile ===
SQUIRREL= ..


OUT= $(SQUIRREL)/bin/sq
INCZ= -I$(SQUIRREL)/include -I. -I$(SQUIRREL)/sqlibs
LIBZ= -L$(SQUIRREL)/lib
LIB= -lsquirrel -lsqstdlib

OBJS= sq.o

SRCS= sq.c


sq32:
	g++ -O2 -fno-rtti -o $(OUT) $(SRCS) $(INCZ) $(LIBZ) $(LIB)

sqprof:
	g++ -O2 -pg -fno-rtti -pie -gstabs -g3 -o $(OUT) $(SRCS) $(INCZ) $(LIBZ) $(LIB)

sq64:
	g++ -O2 -fno-rtti -D_SQ64 -o $(OUT) $(SRCS) $(INCZ) $(LIBZ) $(LIB)

clean:
	rm -f $(OUT)

=== src/3rdparty/squirrel/sqstdlib/Makefile ===
SQUIRREL= ..


OUT= $(SQUIRREL)/lib/libsqstdlib.a
INCZ= -I$(SQUIRREL)/include -I. -Iinclude

SRCS= \
	sqstdblob.cpp \
	sqstdio.cpp \
	sqstdstream.cpp \
	sqstdmath.cpp \
	sqstdsystem.cpp \
	sqstdstring.cpp \
	sqstdaux.cpp \
	sqstdrex.cpp


sq32:
	gcc -O2  -fno-rtti -Wall -c $(SRCS) $(INCZ)
	ar rc $(OUT) *.o

sqprof:
	gcc -O2 -pg -fno-rtti -pie -gstabs -g3 -Wall -c $(SRCS) $(INCZ)
	ar rc $(OUT) *.o

sq64:
	gcc -O2 -D_SQ64 -fno-rtti -Wall -c $(SRCS) $(INCZ)
	ar rc $(OUT) *.o

clean:
	rm -f $(OUT) $(SRCS:%.cpp=%.o)

=== src/3rdparty/squirrel/squirrel/Makefile ===
SQUIRREL= ..


OUT= $(SQUIRREL)/lib/libsquirrel.a
INCZ= -I$(SQUIRREL)/include -I. -Iinclude
DEFS=
LIB=

OBJS= \
	sqapi.o \
	sqbaselib.o \
	sqcompiler.o \
	sqdebug.o \
	sqlexer.o \
	sqobject.o \
	sqparser.o \
	sqstate.o \
	sqtable.o \
	sqvm.o \
	sqmem.o \
	sqclass.o

SRCS= \
	sqapi.cpp \
	sqbaselib.cpp \
	sqfuncstate.cpp \
	sqdebug.cpp \
	sqlexer.cpp \
	sqobject.cpp \
	sqcompiler.cpp \
	sqstate.cpp \
	sqtable.cpp \
	sqmem.cpp \
	sqvm.cpp \
	sqclass.cpp



sq32:
	gcc -O2  -fno-rtti -Wall -c $(SRCS) $(INCZ) $(DEFS)
	ar rc $(OUT) *.o

sqprof:
	gcc -O2 -pg -fno-rtti -pie -gstabs -g3 -Wall -c $(SRCS) $(INCZ) $(DEFS)
	ar rc $(OUT) *.o

sq64:
	gcc -O2  -D_SQ64 -fno-rtti -Wall -c $(SRCS) $(INCZ) $(DEFS)
	ar rc $(OUT) *.o

clean:
	rm -f $(OUT) $(SRCS:%.cpp=%.o)

=== debian/changelog ===
openttd (1.3.3-1build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 04:52:28 +0000

openttd (1.3.3-1) unstable; urgency=high

  * [05541be] New upstream release 1.3.3. This fixes CVE-2013-6411 (Denial of
    service using forcefully crashed aircrafts).
  * [b6be83f] Update changed paths in debian/copyright.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 29 Nov 2013 15:39:45 +0100

openttd (1.3.2-1) unstable; urgency=low

  * [ad93a63] New upstream release 1.3.2.
  * [4bfd2e6] Use canonical Vcs urls (on anonscm.debian.org).
  * [744ea46] Document licensing of exe2coff and cwsdpmi in the tarball.
  * [6c40277] Override lintian warnings about DOS helper binaries in the
    source package

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 18 Sep 2013 16:14:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: openttd
 Section: games
 Priority: optional
-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
  grfcodec (>= 6.0.2), dpkg-dev (>=1.16.1), openttd-opengfx
 Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
-Vcs-Git: git://git.debian.org/collab-maint/openttd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openttd.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/openttd.git
 Homepage: http://www.openttd.org/
 
 Package: openttd

=== debian/rules ===
--- 
+++ 
@@ -29,15 +29,11 @@
 # to be explicit about the dependencies, in case we're not running in a
 # clean build root.
 override_dh_auto_configure:
-	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CFLAGS_BUILD="$(CFLAGS) $(CPPFLAGS)" LDFLAGS_BUILD="$(LDFLAGS)"
+	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CFLAGS_BUILD="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS_BUILD="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS_BUILD="$(LDFLAGS)"
 
 # Do some extra installation
 override_dh_auto_install:
 	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1
-
-	# Install the wrapper and make it executable
-	install -d debian/openttd/usr/share/games/openttd/
-	install -m755 debian/openttd-wrapper debian/openttd/usr/share/games/openttd/
 
 GRF=bin/baseset/openttd.grf
 GRF_BACKUP=debian/openttd.grf
@@ -48,14 +44,12 @@
 	# required by the policy).
 	[ -f "$(GRF_BACKUP)" ] || mv "$(GRF)" "$(GRF_BACKUP)"
 
-	# Make nforenum store its temporary files in the current
-	# directory instead of in $(HOME). Use dh_auto_build so it
-	# handles parallel building automatically.
-	dh_auto_build -- NFORENUM="nforenum -D$(CURDIR)" VERBOSE=1
+	# Use dh_auto_build so it handles parallel building
+	# automatically.
+	dh_auto_build -- VERBOSE=1
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf $(CURDIR)/.nforenum
 
 	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"

=== debian/watch ===
version=3

http://www.openttd.org/en/download-stable .*/openttd-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## openttd 1.4.1

=== debian/changelog ===
openttd (1.4.1-1) unstable; urgency=medium

  * [7ddef46] New upstream release 1.4.1.
    - Fixed segfault during load on big endian machines. (Closes: #754676)
  * [54bf392] Remove build-with-libpng16.patch, which is included
    upstream.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 17 Jul 2014 09:31:51 +0200

openttd (1.4.0-1) unstable; urgency=medium

  * [11c26d3] New upstream release 1.4.0. (Closes: #745420)
  * [16a06a1] Bump Standards-Version to 3.9.5, no changes required.
  * [e891c7b] Add build-with-libpng16.patch. (Closes: #742581)
  * [2e4b618] Enable support for libxdg-basedir.
  * [0b02d47] Bump openttd-opengfx recommends to 0.5.0 or above.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 12 May 2014 18:58:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: openttd
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
+Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
- grfcodec (>= 6.0.2), dpkg-dev (>=1.16.1), openttd-opengfx
-Standards-Version: 3.9.4
+ libxdg-basedir-dev, grfcodec (>= 6.0.2), dpkg-dev (>=1.16.1), openttd-opengfx
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openttd.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/openttd.git
 Homepage: http://www.openttd.org/
@@ -15,7 +14,7 @@
 Package: openttd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
-Recommends: openttd-opengfx (>= 0.4.6), openttd-openmsx, timidity
+Recommends: openttd-opengfx (>= 0.5.0), openttd-openmsx, timidity
 Suggests: openttd-opensfx
 Description: reimplementation of Transport Tycoon Deluxe with enhancements
  OpenTTD is a reimplementation of the Microprose game "Transport

## openttd 1.4.4

=== debian/changelog ===
openttd (1.4.4-2) unstable; urgency=medium

  * [4d35107] Add patch to allow gzipped txt files in basesets, newgrfs,
    etc.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 23 Oct 2014 16:28:59 +0200

openttd (1.4.4-1) unstable; urgency=medium

  * [9779da7] New upstream release 1.4.4.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 21 Oct 2014 23:13:00 +0200

openttd (1.4.3-1) unstable; urgency=medium

  * [129d1ab] New upstream release 1.4.3.
  * [5346983] Bump Standards-Version to 3.9.6, no changes required.
  * [4e7955a] Fix invalid license names from debian/copyright.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 24 Sep 2014 22:30:28 +0200

openttd (1.4.2-1) unstable; urgency=medium

  * [b786d4f] New upstream release 1.4.2. (Closes: #758766)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 21 Aug 2014 09:02:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
  libxdg-basedir-dev, grfcodec (>= 6.0.2), dpkg-dev (>=1.16.1), openttd-opengfx
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openttd.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/openttd.git
 Homepage: http://www.openttd.org/

## openttd 1.5.1

=== debian/changelog ===
openttd (1.5.1-1build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:40:56 +0100

openttd (1.5.1-1) unstable; urgency=medium

  * [26903ab] New upstream release 1.5.1.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 19 Jun 2015 19:16:40 +0200

openttd (1.5.0-1) unstable; urgency=medium

  * [7f3855b] New upstream release 1.5.0.
    - Compiles with GCC 5. (Closes: #778048)
    - Compiles with Freetype 2.5.4 and above. (Closes: #783841)
  * [249de37] Remove zipped-textfiles.patch, this was merged upstream.
  * [97e2e72] Minimum grfcodec version is now 6.0.5.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 09 May 2015 22:48:11 +0200

## openttd 1.5.3

=== debian/changelog ===
openttd (1.5.3-1) unstable; urgency=medium

  * [545acc6] New upstream release 1.5.3.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 04 Dec 2015 11:14:07 +0100

openttd (1.5.2-1) unstable; urgency=medium

  * [d97d3a0] New upstream release 1.5.2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 03 Sep 2015 13:07:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
- libxdg-basedir-dev, grfcodec (>= 6.0.2), dpkg-dev (>=1.16.1), openttd-opengfx
+ libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openttd.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/openttd.git

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # to be explicit about the dependencies, in case we're not running in a
 # clean build root.
 override_dh_auto_configure:
-	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CFLAGS_BUILD="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS_BUILD="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS_BUILD="$(LDFLAGS)"
+	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --with-xdg-basedir --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CFLAGS_BUILD="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS_BUILD="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS_BUILD="$(LDFLAGS)"
 
 # Do some extra installation
 override_dh_auto_install:

## openttd 1.6.1

=== debian/changelog ===
openttd (1.6.1-1) unstable; urgency=medium

  * [8cb8348] New upstream release 1.6.1.
    - Fix arbitrary compilation order, to improve build reproducibility.
      (Closes: #828993)
  * [eeb1139] Add openttd to the StrategyGame menu category. (Closes:
    #825681)
  * [9270dc2] Remove patches for reproducibility that are contained
    upstream.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 03 Jul 2016 10:37:08 +0200

openttd (1.6.0-1) unstable; urgency=medium

  * [899a443] New upstream release 1.6.0.
  * [d56ce46] Backport upstream changes to improve reproducibility of
    builds
  * [107a530] Bump debhelper version to v9

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 11 May 2016 22:58:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev,
+Build-Depends: debhelper (>= 9), libsdl-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
  libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Use debhelper default for all targets (but some are overridden below).
 %:
-	dh --parallel $@
+	dh $@ --parallel
 
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -29,7 +29,7 @@
 # to be explicit about the dependencies, in case we're not running in a
 # clean build root.
 override_dh_auto_configure:
-	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --with-xdg-basedir --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CFLAGS_BUILD="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS_BUILD="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS_BUILD="$(LDFLAGS)"
+	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --menu-group="Game;StrategyGame;" --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --with-xdg-basedir --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CFLAGS_BUILD="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS_BUILD="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS_BUILD="$(LDFLAGS)"
 
 # Do some extra installation
 override_dh_auto_install:

## openttd 1.7.0

=== debian/changelog ===
openttd (1.7.0-1) unstable; urgency=medium

  * [d6e90de] New upstream release 1.7.0.
  * [57471ad] Bump standards version to 3.9.8

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 03 Apr 2017 17:01:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 9), libsdl-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
  libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openttd.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/openttd.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/openttd.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/openttd.git
 Homepage: http://www.openttd.org/
 
 Package: openttd
@@ -43,5 +43,5 @@
 Breaks: openttd (<< 1.1.5-1)
 Description: common data files for the OpenTTD game
  This package contains data files like language files, scripts and some
- auxillary graphics.  It does not include any full graphics or sound sets,
+ auxiliary graphics.  It does not include any full graphics or sound sets,
  which still need to be installed separately to play OpenTTD.

## openttd 1.7.1

=== debian/changelog ===
openttd (1.7.1-1build1) bionic; urgency=high

  * No change rebuild against iculx split.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Mar 2018 21:41:10 +0000

openttd (1.7.1-1) unstable; urgency=medium

  * [0d3644c] New upstream release 1.7.1.
  * [49b0827] Bump debhelper version to v10
  * [05de209] Remove the menu file in favor of the FDO .desktop file
  * [aa98c12] Bump standards version to 4.1.2
  * [ce1dbbe] Migrate from manual -dbg to automatic -dbgsym packages

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 05 Dec 2017 13:15:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: openttd
 Section: games
 Priority: optional
-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 9), libsdl-dev, zlib1g-dev, libpng-dev,
+Build-Depends: debhelper (>= 10), libsdl-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
  libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/openttd.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/openttd.git
 Homepage: http://www.openttd.org/
@@ -25,17 +26,6 @@
  non-free). Alternatively, OpenTTD can use the graphics files from the original
  Transport Tycoon Deluxe game (See README.Debian on how to set this up).
 
-Package: openttd-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: openttd (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for openttd
- OpenTTD is a reimplementation of the Microprose game "Transport
- Tycoon Deluxe" with lots of new features and enhancements.
- .
- This package contains the debugging symbols for openttd.
-
 Package: openttd-data
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,8 @@
 
 	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"
 
-# Strip debugging symbols, but retain them in a separate package.
+# dh_strip automatically generates a -dbgsym package by default. Let it
+# include Replaces and Breaks headers against the previously manually
+# generated -dbg package.
 override_dh_strip:
-	dh_strip --dbg-package=openttd-dbg
+	dh_strip --dbgsym-migration='openttd-dbg (<< 1.7.1-1~)'

=== debian/watch ===
version=3

https://www.openttd.org/en/download-stable .*/openttd-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## openttd 1.8.0

=== debian/changelog ===
openttd (1.8.0-2~mx17+1) mx; urgency=medium

  * Repackaed for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 22 Feb 2019 17:42:22 -0800

openttd (1.8.0-2) unstable; urgency=medium

  * [6a1c164] Backport upstream changes to fix compilation with ICU 61 and
    above (Closes: #913509)
  * [4dd1430] Bump debhelper version to v11
  * [ed01c93] Support DEB_BUILD_OPTIONS=terse
  * [c2e35e2] Bump standards version to 4.2.1
  * [9b9605a] Stop using the ICU layout engine (Closes: #897233)
  * [d5bec9d] Fix cross-building: Supply --pkg-config to ./configure.
    Thanks to Helmut Grohne for the patch (Closes: #910990)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 17 Nov 2018 19:44:28 +0100

openttd (1.8.0-1) unstable; urgency=medium

  * [4c62ea5] New upstream release 1.8.0
  * [863cb24] Bump standards version to 4.1.4

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 30 Apr 2018 15:46:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: openttd
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 10), libsdl-dev, zlib1g-dev, libpng-dev,
+Build-Depends: debhelper (>= 11), libsdl-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
  libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/openttd.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/openttd.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/openttd-team/openttd
+Vcs-Git: https://salsa.debian.org/openttd-team/openttd.git
 Homepage: http://www.openttd.org/
 
 Package: openttd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
-Recommends: openttd-opengfx (>= 0.5.0), openttd-openmsx, timidity
-Suggests: openttd-opensfx
+Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version}), 
+ openttd-opengfx (>= 0.5.4-2), openttd-openmsx (>= 0.3.1-5), 
+ openttd-opensfx (>= 0.2.3-6), timidity (>= 2.14.0-8)
+Recommends: 
+Suggests: 
 Description: reimplementation of Transport Tycoon Deluxe with enhancements
  OpenTTD is a reimplementation of the Microprose game "Transport
  Tycoon Deluxe" with lots of new features and enhancements.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,17 @@
 # Makefile to build the openttd debian package.
 
 # Use debhelper default for all targets (but some are overridden below).
-%:
-	dh $@ --parallel
+binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
+	dh $@
 
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
+# Introduced in dpkg 1.19.0
+-include /usr/share/dpkg/buildtools.mk
+
+# Set by buildtools.mk to support cross-compilation, but provide a
+# default for older dpkg versions
+PKG_CONFIG ?= pkg-config
+
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
@@ -29,7 +35,16 @@
 # to be explicit about the dependencies, in case we're not running in a
 # clean build root.
 override_dh_auto_configure:
-	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --menu-group="Game;StrategyGame;" --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --with-xdg-basedir --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CFLAGS_BUILD="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS_BUILD="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS_BUILD="$(LDFLAGS)"
+	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --menu-group="Game;StrategyGame;" \
+	--without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig \
+	--with-icu-sort --without-icu-layout --with-liblzo2 --with-liblzma --without-iconv --with-xdg-basedir \
+	--disable-strip --pkg-config=$(PKG_CONFIG) \
+	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
+	CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
+	LDFLAGS="$(LDFLAGS)" \
+	CFLAGS_BUILD="$(CFLAGS) $(CPPFLAGS)" \
+	CXXFLAGS_BUILD="$(CXXFLAGS) $(CPPFLAGS)" \
+	LDFLAGS_BUILD="$(LDFLAGS)"
 
 # Do some extra installation
 override_dh_auto_install:
@@ -46,7 +61,11 @@
 
 	# Use dh_auto_build so it handles parallel building
 	# automatically.
+ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+	dh_auto_build
+else
 	dh_auto_build -- VERBOSE=1
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -56,5 +75,6 @@
 # dh_strip automatically generates a -dbgsym package by default. Let it
 # include Replaces and Breaks headers against the previously manually
 # generated -dbg package.
+
 override_dh_strip:
-	dh_strip --dbgsym-migration='openttd-dbg (<< 1.7.1-1~)'
+	dh_strip --no-automatic-dbgsym

## openttd 1.9.1

=== debian/changelog ===
openttd (1.9.1-1) unstable; urgency=medium

  * [736762f] Mark openttd-data as Multi-Arch: foreign
  * [78e919c] Update watch file, upstream changed download urls.
  * [2c3695d] New upstream release 1.9.1
  * [e07397d] Bump standards version to 4.3.0 (no changes required)
  * [326d3f5] Remove fix-build-with-icu-61.patch, which was merged
    upstream

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 09 Apr 2019 21:26:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: openttd
 Section: games
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
+Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 11), libsdl-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
  libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/openttd
 Vcs-Git: https://salsa.debian.org/openttd-team/openttd.git
 Homepage: http://www.openttd.org/
 
 Package: openttd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version}), 
- openttd-opengfx (>= 0.5.4-2), openttd-openmsx (>= 0.3.1-5), 
- openttd-opensfx (>= 0.2.3-6), timidity (>= 2.14.0-8)
-Recommends: 
-Suggests: 
+Multi-Arch: no
+Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
+Recommends: openttd-opengfx (>= 0.5.0), openttd-openmsx, timidity
+Suggests: openttd-opensfx
 Description: reimplementation of Transport Tycoon Deluxe with enhancements
  OpenTTD is a reimplementation of the Microprose game "Transport
  Tycoon Deluxe" with lots of new features and enhancements.
@@ -30,6 +28,7 @@
 
 Package: openttd-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: openttd (<< 1.1.5-1)
 Breaks: openttd (<< 1.1.5-1)
